FTPQUOTA(8)

NAME
ftpquota - An utility to manage Proftpd quotas

SYNOPSIS
usage: ftpquota [options]

DESCRIPTION
This utility can be used to create quota tables and manage their records in order to control the mod_quotatab module behavior in Proftpd.

OPTIONS

The following options describe the type of operation to be performed:

--add-record
    Create a new record with the specified limits. Any limits left unspecified with have their default values. This option requires the --name and --quota-type options.

--create-table
    Create the table if not present. Used to initialize a table. The default limit table path is "./ftpquota.limittab". The default tally table path is "./ftpquota.tallytab".

--delete-record
    Deletes a quota record from the table. This option requires the --name and --quote-type options.

--show-records
    Prints out all of the quota records in the table in a legible format.

--update-record
    Updates a quota record with the specified limits. Any limits left unspecified will be updated with their default value. This option requires the --name and --quota-type options.

The following option describes the type of table on which to operate:

--type
    Specifies a table type to use. The allowable options are: "limit" or "tally". This is required.

    The following options are used to specify specific quota limits:

--Bu, --bytes-upload
    Specifies the limit of the number of bytes that may be uploaded. Defaults to -1 (unlimited).

--Bd, --bytes-download
    Specifies the limit of the number of bytes that may be downloaded. Defaults to -1 (unlimited).

--Bx, --bytes-xfer
    Specifies the limit of the number of bytes that may be transferred. Note that this total includes uploads, downloads, AND directory listings. Defaults to -1 (unlimited).

--Fu, --files-upload
    Specifies the limit of the number of files that may be uploaded. Defaults to -1 (unlimited).

--Fd, --files-download
    Specifies the limit of the number of files that may be downloaded. Defaults to -1 (unlimited).

--Fx, --files-xfer
    Specifies the limit of the number of files that may be transferred, including uploads and downloads. Defaults to -1 (unlimited).

-L, --limit-type
    Specifies the type of limit, "hard" or "soft", of the bytes limits. If "hard", any uploaded files that push the bytes used counter past the limit will be automatically deleted; if "soft", those extra bytes will be allowed, but future uploads will be denied. This option only makes sense if --type is "limit".

-N, --name
    Specifies a name for the quota record. This name will be the user/login name, group name, or class name, depending on the quota type. This option is ignored if the quota type specified is "all".

-P, --per-session Specifies that the quota limit is to be applied only to each session, rather than persisting across sessions. By default, quotas are persistent. Specifies a "quota type" for this record, where

-Q, --quota-type
    the type means to which category of FTP users this quota will apply. The quota type must be one of: "user", "group", "class", or "all".

The following options are miscellaneous:

--help
    Displays this message.

--table-path
    Specifies the path to a quota table file to use.

--units
    Specifies whether to treats bytes as is, in kilobytes, megabytes, or gigabytes. Allowable options are: "B" or "byte", "Kb" or "kilo", "Mb" or "mega", and "Gb" or "giga". Defaults to "byte".

--verbose
    Toggles more verbose information about the doings of the tool as it works.

AUTHORS
The Proftpd team. See http://www.proftpd.org/ for information.

COPYRIGHT
Copyright (C) 2000-2002 TJ Saunders <tj@castaglia.org>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NOTES
Manual page written for Debian GNU/Linux by Francesco P. Lovergine <frankie@debian.org>, Aug 2005